// File: MinMaxVectorofIntegerObject.java
// Use java.util.Vector to simplify operations and permit unlimited data set
// Find the extremes in a sentinel terminated list of int
// Note: New I/O procedures

import java.io.* ;
import java.util.*;

public class MinMaxVectorofIntegerObject
{
 static final IntegerObject Sentinel=new IntegerObject(-999);
 static PrintWriter DataOut=new PrintWriter(System.out, true);	

 static int ReadInt() throws java.io.IOException
 {BufferedReader DataIn = new 
			 BufferedReader(new InputStreamReader(System.in));
  String Input=DataIn.readLine();
  return (Integer.valueOf(Input).intValue());
 }

 // Input and return an integer,
 //  prompting with the message string that is the input argument
 static int GetInteger(String Message) throws java.io.IOException
 {DataOut.print(Message);
  DataOut.flush();
  return(ReadInt());
 }

 static void GetValues(Vector List) throws java.io.IOException
 {List.addElement(new IntegerObject(
                  GetInteger("Enter Integer..."+Sentinel.GetValue()+" Quits >")));
  while (((IntegerObject)List.lastElement()).GetValue()!=Sentinel.GetValue()) {
          List.addElement(new IntegerObject(
                  GetInteger("Enter Integer..."+Sentinel.GetValue()+" Quits >")));
  }
  List.removeElementAt(List.size()-1);
 }

 static void FindMinMax(Vector List,IntegerObject Min,IntegerObject Max)
 {Min.SetValue(((IntegerObject)List.firstElement()).GetValue());
  Max.SetValue(((IntegerObject)List.firstElement()).GetValue());
  for (int Count=1;Count<List.size();Count++)
   if (((IntegerObject)List.elementAt(Count)).GetValue()>Max.GetValue())
    Max.SetValue(((IntegerObject)List.elementAt(Count)).GetValue());
   else if (((IntegerObject)List.elementAt(Count)).GetValue()<Min.GetValue())
    Min.SetValue(((IntegerObject)List.elementAt(Count)).GetValue());
 }

 static void Report(Vector List,IntegerObject Min,IntegerObject Max) 
												throws java.io.IOException
 {for (int Count=0;Count<List.size();Count++) {
   DataOut.print(FormattedOutput.IntegerToFormatString(Count,3)+":"+
      FormattedOutput.IntegerToFormatString(
                                                        ((IntegerObject)List.elementAt(Count)).GetValue(),10));
   if (((IntegerObject)List.elementAt(Count)).GetValue()==Min.GetValue() &&
                   ((IntegerObject)List.elementAt(Count)).GetValue()==Max.GetValue())
    DataOut.println("    MINMAX");
   else if (((IntegerObject)List.elementAt(Count)).GetValue()==Min.GetValue())
    DataOut.println("    MIN");
   else if (((IntegerObject)List.elementAt(Count)).GetValue()==Max.GetValue())
    DataOut.println("    MAX");
   else DataOut.println();
  }
 }

 public static void main(String[] args) throws java.io.IOException
 {IntegerObject Min=new IntegerObject(),
          Max=new IntegerObject();
  // Don't need anymore. Vector holds it
  //			NumberOfValues=new Integer();
  // Declare array of Integer instantiated to MaxSize Integers
  Vector ValueList=new Vector(0,1);
  GetValues(ValueList);
  if (ValueList.size()>0) {  // Could be: !ValueList.isEmpty()
   FindMinMax(ValueList,Min,Max);
   Report(ValueList,Min,Max);
  }
 } // End of Main Method

}// End of class

